* [gentoo-commits] repo/gentoo:master commit in: sys-block/bmap-tools/
@ 2022-02-12 19:46 Steve Arnold
0 siblings, 0 replies; 2+ messages in thread
From: Steve Arnold @ 2022-02-12 19:46 UTC (permalink / raw
To: gentoo-commits
commit: 3306089de924a23ac118246db2f7677185a0626e
Author: Steve Arnold <nerdboy <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 12 19:45:43 2022 +0000
Commit: Steve Arnold <nerdboy <AT> gentoo <DOT> org>
CommitDate: Sat Feb 12 19:46:48 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3306089d
sys-block/bmap-tools: new ebuild for sparse image files
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Steve Arnold <nerdboy <AT> gentoo.org>
sys-block/bmap-tools/Manifest | 1 +
sys-block/bmap-tools/bmap-tools-3.6.ebuild | 54 ++++++++++++++++++++++++++++++
sys-block/bmap-tools/metadata.xml | 11 ++++++
3 files changed, 66 insertions(+)
diff --git a/sys-block/bmap-tools/Manifest b/sys-block/bmap-tools/Manifest
new file mode 100644
index 000000000000..e9012b8a510d
--- /dev/null
+++ b/sys-block/bmap-tools/Manifest
@@ -0,0 +1 @@
+DIST bmap-tools-3.6.tar.gz 97815 BLAKE2B 3c6728386d66283a4df0376c90d2eafc670bba835ca97ebe25ab12f5eb1f745dea9a55d8c287c815306b9d603b6d804f9711a19b2df23870355983ebce4c0a07 SHA512 a55fe88d8f136b39f2bb92690322ae65d66ae1ae0454050d74bd37a39d69dca6428ba05ff42d2faf8e83f8f8342d882caaf8bb45aa00c74bbd5e4b12289a406a
diff --git a/sys-block/bmap-tools/bmap-tools-3.6.ebuild b/sys-block/bmap-tools/bmap-tools-3.6.ebuild
new file mode 100644
index 000000000000..51a7426eaeea
--- /dev/null
+++ b/sys-block/bmap-tools/bmap-tools-3.6.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Flashing tool using block maps and sparse files"
+HOMEPAGE="https://github.com/intel/bmap-tools"
+
+if [[ ${PV} = 9999* ]]; then
+ EGIT_REPO_URI="https://github.com/intel/bmap-tools.git"
+ EGIT_BRANCH="master"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/intel/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="test"
+
+BDEPEND="${PYTHON_DEPS}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}] )
+"
+
+RDEPEND="
+ app-arch/pigz
+ app-arch/lzop
+ app-arch/lz4
+ app-arch/pbzip2
+ app-arch/xz-utils
+ app-arch/bzip2
+ app-arch/gzip
+ app-arch/tar
+"
+
+DOCS=( "${S}/docs/README" )
+
+# tests are hanging using default below
+RESTRICT="!test? ( test )"
+
+distutils_enable_tests nose
+
+python_test() {
+ # remaining tests involve way too much file I/O
+ nosetests -sx --verbosity=3 --detailed-errors \
+ tests/test_bmap_helpers.py \
+ tests/test_compat.py || die "Tests fail with ${EPYTHON}"
+}
diff --git a/sys-block/bmap-tools/metadata.xml b/sys-block/bmap-tools/metadata.xml
new file mode 100644
index 000000000000..0c665a5d9e09
--- /dev/null
+++ b/sys-block/bmap-tools/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>embedded@gentoo.org</email>
+ <name>Embedded Gentoo</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">intel/bmap-tools</remote-id>
+ </upstream>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-block/bmap-tools/
@ 2024-04-20 19:47 Viorel Munteanu
0 siblings, 0 replies; 2+ messages in thread
From: Viorel Munteanu @ 2024-04-20 19:47 UTC (permalink / raw
To: gentoo-commits
commit: 291452cf5af3c024892ed7a841e8d795013971a3
Author: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 20 18:54:05 2024 +0000
Commit: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Sat Apr 20 19:47:25 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=291452cf
sys-block/bmap-tools: enable py3.12
Closes: https://bugs.gentoo.org/929827
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>
sys-block/bmap-tools/bmap-tools-3.6-r1.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/sys-block/bmap-tools/bmap-tools-3.6-r1.ebuild b/sys-block/bmap-tools/bmap-tools-3.6-r1.ebuild
index 5a474a6f2428..52160c499c6a 100644
--- a/sys-block/bmap-tools/bmap-tools-3.6-r1.ebuild
+++ b/sys-block/bmap-tools/bmap-tools-3.6-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..12} )
DISTUTILS_USE_PEP517=setuptools
inherit distutils-r1
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2024-04-20 19:47 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-02-12 19:46 [gentoo-commits] repo/gentoo:master commit in: sys-block/bmap-tools/ Steve Arnold
-- strict thread matches above, loose matches on Subject: below --
2024-04-20 19:47 Viorel Munteanu
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox